Bug 73604 - [UPGRADE] deve/stlport 4.5.3 -> 4.6.2
Summary: [UPGRADE] deve/stlport 4.5.3 -> 4.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-06 09:40 UTC by Sepherosa Ziehau
Modified: 2004-11-20 16:09 UTC (History)
0 users

See Also:


Attachments
file.diff (11.04 KB, patch)
2004-11-06 09:40 UTC, Sepherosa Ziehau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sepherosa Ziehau 2004-11-06 09:40:26 UTC
      upgrade devel/stlport from 4.5.3 to 4.6.2, it compiles and pass tests on 4.10 Release and 5.2.1 Release(502010).  It is not known whether devel/stlport-icc is still working (it probably works).  And it is not known whether kern.osreldate > 502126 still break (it probably will not break).
Comment 1 Pav Lucistnik freebsd_committer 2004-11-06 12:35:14 UTC
This also need plist update:

Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/devel/stlport/pkg-plist,v
retrieving revision 1.6
diff -a -u -r1.6 pkg-plist
--- pkg-plist	17 Sep 2002 12:52:06 -0000	1.6
+++ pkg-plist	6 Nov 2004 12:33:36 -0000
@@ -17,8 +17,10 @@
 include/stlport/config/stl_bc.h
 include/stlport/config/stl_como.h
 include/stlport/config/stl_confix.h
+include/stlport/config/stl_cray.h
 include/stlport/config/stl_dec.h
 include/stlport/config/stl_dec_vms.h
+include/stlport/config/stl_dm.h
 include/stlport/config/stl_fujitsu.h
 include/stlport/config/stl_gcc.h
 include/stlport/config/stl_hpacc.h
@@ -159,6 +161,7 @@
 include/stlport/stl/_fstream.c
 include/stlport/stl/_fstream.h
 include/stlport/stl/_function.h
+include/stlport/stl/_function_adaptors.h
 include/stlport/stl/_function_base.h
 include/stlport/stl/_hash_fun.h
 include/stlport/stl/_hash_map.h
@@ -186,6 +189,7 @@
 include/stlport/stl/_messages_facets.h
 include/stlport/stl/_monetary.c
 include/stlport/stl/_monetary.h
+include/stlport/stl/_new.h
 include/stlport/stl/_null_stream.h
 include/stlport/stl/_num_get.c
 include/stlport/stl/_num_get.h
@@ -207,11 +211,11 @@
 include/stlport/stl/_raw_storage_iter.h
 include/stlport/stl/_relops.h
 include/stlport/stl/_relops_cont.h
+include/stlport/stl/_relops_hash_cont.h
 include/stlport/stl/_relops_template.h
 include/stlport/stl/_rope.c
 include/stlport/stl/_rope.h
 include/stlport/stl/_set.h
-include/stlport/stl/_set_operators.h
 include/stlport/stl/_site_config.h
 include/stlport/stl/_slist.c
 include/stlport/stl/_slist.h
@@ -256,6 +260,8 @@
 include/stlport/stl/debug/_hashtable.h
 include/stlport/stl/debug/_iterator.h
 include/stlport/stl/debug/_list.h
+include/stlport/stl/debug/_relops_cont.h
+include/stlport/stl/debug/_relops_hash_cont.h
 include/stlport/stl/debug/_slist.h
 include/stlport/stl/debug/_string.h
 include/stlport/stl/debug/_tree.h
@@ -323,10 +329,10 @@
 include/stlport/wrap_std/strstream
 lib/libstlport_%%COMPILER%%.a
 lib/libstlport_%%COMPILER%%.so
-lib/libstlport_%%COMPILER%%.so_4_5
+lib/libstlport_%%COMPILER%%.so_4_6
 lib/libstlport_%%COMPILER%%_stldebug.a
 lib/libstlport_%%COMPILER%%_stldebug.so
-lib/libstlport_%%COMPILER%%_stldebug.so_4_5
+lib/libstlport_%%COMPILER%%_stldebug.so_4_6
 %%PORTDOCS%%share/doc/stlport/README.BC.html
 %%PORTDOCS%%share/doc/stlport/README.CW.html
 %%PORTDOCS%%share/doc/stlport/README.DEC.html

and it still does not build on 5.3

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

East or west, ~ is best.
Comment 2 Pav Lucistnik freebsd_committer 2004-11-06 12:47:51 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval. 


Comment 3 Pav Lucistnik freebsd_committer 2004-11-06 12:47:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Handle.
Comment 4 Pav Lucistnik freebsd_committer 2004-11-06 12:48:07 UTC
Dear maintainer of FreeBSD port devel/stlport, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=73604

Do you approve this update?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Geography is only physics slowed down, with a few trees stuck on it...
  -- Terry Pratchett
Comment 5 Pav Lucistnik freebsd_committer 2004-11-20 16:09:08 UTC
State Changed
From-To: feedback->closed

Committed, thanks!